#!/bin/bash

mydir=${PWD}

run_dir="/Volumes/shadow-2/Users/janvier/Projects/corhel_5.1.0_runs"

mas_dir="hmi_mast_mas_std_0201/hel_bc"

tmp_dir="/Users/mbennun/tmp/2D/"

pluto_dir="pluto_bc"

declare -a StringArray=('br_r0.hdf' 'bt_r0.hdf' 'bp_r0.hdf' 'vr_r0.hdf' 'vt_r0.hdf' 'vp_r0.hdf' 't_r0.hdf' 'rho_r0.hdf')

cd ${run_dir}

echo "run_dir" ${PWD}

#/bin/rm -rf dir.txt

#for d in ./cr2*-medium;do [[ -d "$d" ]] && echo "${d##./}" >> dir.txt; done
export filename=dir.txt
n=1
while read line; do
# reading each line
dir=$line
echo "Dir No. $n : $dir"
cd $dir
cd $mas_dir

/bin/cp *r0.hdf ${tmp_dir}

cd ${tmp_dir}

echo ${PWD}

for val in ${StringArray[@]}; do
   psi2pluto $val
done

cd ${mydir}/${dir}

mkdir ${pluto_dir}

cd ${pluto_dir}

echo ${PWD}

cp ${tmp_dir}/*  .
 
cd ${run_dir}

n=$((n+1))
done < $filename

